# This file is intented to be called by calex_1d.R.  It defines basis
# functions for the code, H1.1d(), and the model inadequacy, H2.1d():

h1.1d <- function(x){
out <- c(1,x)
names(out) <- c("const" , "x", "prod")
return(out)
}

H1.1d <- function(D1){

    if (is.vector(D1)) {
        D1 <- t(D1)
    }
    out <- t(apply(D1, 1, h1.1d))
    colnames(out) <- c("const" , "x", "A")
    return(out)
}

h2.1d <- function(x){
out <- c(x[1],x[1]^3)
names(out) <- c("x","x.cubed")
return(out)
}

H2.1d <- 
function (D2) 
{
    if (is.vector(D2)) {
        D2 <- t(D2)
    }
    out <- t(apply(D2, 1, h2.1d))
    colnames(out) <- names(h2.1d(D2[1, , drop = TRUE]))
    return(out)
}

